# Uses of Interface
org.opensaml.saml.ext.saml2alg.DigestMethod

Packages that use DigestMethod
Package
Description
org.opensaml.saml.ext.saml2alg.impl
Implementation for SAML v2.0 Metadata Profile for Algorithm Support Version 1.0.

## Uses of DigestMethod in org.opensaml.saml.ext.saml2alg.impl

Classes in org.opensaml.saml.ext.saml2alg.impl that implement DigestMethod
Modifier and Type
Class
Description
`class`
`DigestMethodImpl`
Implementation of `DigestMethod`.
Methods in org.opensaml.saml.ext.saml2alg.impl that return DigestMethod
Modifier and Type
Method
Description
`DigestMethod`
DigestMethodBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`DigestMethod`
DigestMethodBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.